package xyz.wbsite.module.admin.req;

import xyz.wbsite.frame.base.BaseRequest;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.NotBlank;
import org.hibernate.validator.constraints.Length;

/**
 * LocationsCreateRequest - 路径配置新增
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2021-02-07
 */
public class LocationsCreateRequest extends BaseRequest {

    /**
     * 服务主键.
     */
    @NotNull(message = "[serviceId]服务主键不能为NULL")
    private Long serviceId;

    /**
     * 配置标题.
     */
    @NotBlank(message = "[localTitle]配置标题不能为空")
    @Length(min = 0, max = 50, message = "[localTitle]配置标题长度不合法(0-50)")
    private String localTitle;

    /**
     * 配置备注.
     */
    @Length(min = 0, max = 255, message = "[localNote]配置备注长度不合法(0-255)")
    private String localNote;

    /**
     * 配置路径.
     */
    @NotBlank(message = "[localPath]配置路径不能为空")
    @Length(min = 0, max = 50, message = "[localPath]配置路径长度不合法(0-50)")
    private String localPath;

    /**
     * 是否启用.
     */
    @NotNull(message = "[localValid]是否启用不能为NULL")
    private Boolean localValid;

    /**
     * 启用过滤.
     */
    @NotNull(message = "[filter]启用过滤不能为NULL")
    private Boolean filter;

    /**
     * 过滤配置.
     */
    @Length(min = 0, max = 500, message = "[filterConf]过滤配置长度不合法(0-500)")
    private String filterConf;

    public Long getServiceId() {
        return this.serviceId;
    }

    public void setServiceId(Long serviceId) {
        this.serviceId = serviceId;
    }

    public String getLocalTitle() {
        return this.localTitle;
    }

    public void setLocalTitle(String localTitle) {
        this.localTitle = localTitle;
    }

    public String getLocalNote() {
        return this.localNote;
    }

    public void setLocalNote(String localNote) {
        this.localNote = localNote;
    }

    public String getLocalPath() {
        return this.localPath;
    }

    public void setLocalPath(String localPath) {
        this.localPath = localPath;
    }

    public Boolean getLocalValid() {
        return this.localValid;
    }

    public void setLocalValid(Boolean localValid) {
        this.localValid = localValid;
    }

    public Boolean getFilter() {
        return this.filter;
    }

    public void setFilter(Boolean filter) {
        this.filter = filter;
    }

    public String getFilterConf() {
        return this.filterConf;
    }

    public void setFilterConf(String filterConf) {
        this.filterConf = filterConf;
    }
}
